<?php
/**
 * OrderSourceEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\OmsClient\Dto;
use \Ensi\OmsClient\ObjectSerializer;

/**
 * OrderSourceEnum Class Doc Comment
 *
 * @category Class
 * @description Источник взаимодействия. Расшифровка значений:   * &#x60;1&#x60; - Сайт   * &#x60;2&#x60; - Приложение   * &#x60;3&#x60; - Админ
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class OrderSourceEnum
{
    
    /** Сайт */
    public const SITE = 1;
    
    /** Приложение */
    public const APP = 2;
    
    /** Админ */
    public const ADMIN = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::SITE,
            self::APP,
            self::ADMIN,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::SITE => 'Сайт',
            self::APP => 'Приложение',
            self::ADMIN => 'Админ',
        ];
    }
}


